{"openapi":"3.0.0","servers":[{"url":"https://www.360five.net/api"},{"url":"https://www.360five.net/api"}],"info":{"description":"360five REST API documentation. \nBuilt with [Swagger](http://swagger.io) and [ReDoc](https://github.com/Rebilly/ReDoc)\\\n\\\n#Authentication\\\n\\\nWhen access token is obtained, it should be appended to all endpoints via header `Authorization: Bearer obtainedaccesstoken`. All secured endpoints return 403 (not allowed) if the token has expired (or invalid in general). New token can be obtained in two ways: \n1. by providing valid username / password credentials and creating POST request to `/access_token` endpoint\n2. sending POST request to `/refresh_token` enpoint with valid refresh token obtained previously via `/access_token` endpoint\n","version":"2.0.0","title":"360five API","contact":{"email":"miroslav@workeroscope.com"}},"tags":[{"name":"authentication","description":"Authentication","externalDocs":{"description":"Find out more","url":"http://www.360five.net/apidocs/index.html"}},{"name":"registration","description":"Enpoints for user registration"},{"name":"board","description":"Boards"},{"name":"category","description":"Board categories"},{"name":"point","description":"Points, reminders for boards"},{"name":"tag","description":"Tags for categories"},{"name":"team","description":"Operations about teams"},{"name":"user","description":"Operations about users"},{"name":"user","description":"Operations about user","externalDocs":{"description":"Find out more about our store","url":"http://swagger.io"}}],"paths":{"/access_token":{"post":{"tags":["authentication"],"summary":"Retrieve access token.","operationId":"getAccessToken","responses":{"200":{"$ref":"#/components/responses/AccessTokenResponseOK"},"401":{"description":"Bad credentials"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessToken"}}},"description":"Username and password credentials","required":true}}},"/refresh_token":{"post":{"tags":["authentication"],"summary":"Retrieve access token using refresh token","operationId":"refreshAccessToken","responses":{"200":{"$ref":"#/components/responses/AccessTokenResponseOK"},"401":{"description":"Bad credentials"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefreshToken"}}},"description":"Valid refresh token","required":true}}},"/signup":{"post":{"tags":["registration"],"summary":"Retrieve access token.","operationId":"getAccessToken","responses":{"200":{"$ref":"#/components/responses/UserResponseOK"},"401":{"description":"Bad credentials"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSignUp"}}},"description":"Username and password credentials","required":true}}},"/boards":{"post":{"tags":["board"],"summary":"Add a new board to the system","operationId":"addBoard","responses":{"200":{"$ref":"#/components/responses/BoardResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Board"}}},"description":"Board object that needs to be added to the system","required":true}},"put":{"tags":["board"],"summary":"Update an existing board","operationId":"updateBoard","responses":{"200":{"$ref":"#/components/responses/BoardResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Board"}}},"description":"Boart object that needs to be updated","required":true}},"get":{"tags":["board"],"summary":"Search boards","description":"Search boards by search term in query string","operationId":"findBoardsByQuery","parameters":[{"name":"query","in":"query","description":"Criteria to filter by","required":false,"explode":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/BoardArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/boards/{id}":{"get":{"tags":["board"],"summary":"Find board by ID","description":"Returns a single board","operationId":"getBoardById","parameters":[{"name":"id","in":"path","description":"ID of board to return","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/BoardResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]},"patch":{"tags":["board"],"summary":"Updates a board in the system with form data","operationId":"updateBoardWithForm","parameters":[{"name":"id","in":"path","description":"ID of board that needs to be updated","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/BoardResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"name":{"description":"Updated name of the board","type":"string","example":"Retro board"},"description":{"description":"Updated description of the board","type":"string","example":"Board to discuss retrospectives"},"team":{"description":"Updated team of the board","type":"object","properties":{"id":{"type":"string","format":"uuid","example":"49eb62abd56a455a9d7d40ad10f4bbf5"}}},"public":{"description":"Updated public flag of the board","type":"boolean","example":true},"active":{"description":"Updated active flag of the board","type":"boolean","example":true},"imageUrl":{"description":"Updated image URL of the board","type":"string","example":"https://www.360five.net/image.jpg"}}}}}}},"delete":{"tags":["board"],"summary":"Deletes a board","operationId":"deleteBoard","parameters":[{"name":"id","in":"path","description":"Board id to delete","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/BoardResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/boards/{id}/defaulttags":{"get":{"tags":["board"],"summary":"Find default tags for the board","description":"Returns array of tag obejects, default for this board.","operationId":"getDefaultTags","parameters":[{"name":"id","in":"path","description":"ID of the board","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/TagArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/boards/{id}/categories":{"get":{"tags":["board"],"summary":"Get categories for the board","description":"Returns categories belonging to the board","operationId":"getBoardCategories","parameters":[{"name":"id","in":"path","description":"board ID","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"query","in":"query","description":"Criteria to filter by","required":false,"explode":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/CategoryArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/categories":{"post":{"tags":["category"],"summary":"Add a new category to the board","operationId":"addCategory","responses":{"200":{"$ref":"#/components/responses/CategoryResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryWithBoard"}}},"description":"Category object that needs to be added to the board","required":true}},"put":{"tags":["category"],"summary":"Update an existing category","operationId":"updateCategory","responses":{"200":{"$ref":"#/components/responses/CategoryResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Category"}}},"description":"Category object that needs to be updated","required":true}},"get":{"tags":["category"],"summary":"Search categories","description":"Search categories by search term in query string","operationId":"findCategoriesByQuery","parameters":[{"name":"query","in":"query","description":"Criteria to filter by","required":false,"explode":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/CategoryArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/categories/{id}":{"get":{"tags":["category"],"summary":"Find category by ID","description":"Returns a single category","operationId":"getCategoryById","parameters":[{"name":"id","in":"path","description":"ID of category to return","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/CategoryResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]},"patch":{"tags":["category"],"summary":"Updates a category in the system with form data","operationId":"updateCategoryWithForm","parameters":[{"name":"id","in":"path","description":"ID of category that needs to be updated","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/CategoryResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"name":{"description":"Updated name of the category","type":"string"},"description":{"description":"Updated description of the category","type":"string"},"active":{"description":"Updated status of the category","type":"boolean"},"board":{"description":"Updated board of the category","type":"object","properties":{"id":{"type":"string","format":"uuid","example":"49eb62abd56a455a9d7d40ad10f4bbf5"}}},"imageUrl":{"description":"Updated image URL of the board","type":"string","example":"https://www.360five.net/image.jpg"}}}}}}},"delete":{"tags":["category"],"summary":"Deletes a category","operationId":"deleteCategory","parameters":[{"name":"id","in":"path","description":"Category id to delete","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/CategoryResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/categories/{id}/points":{"get":{"tags":["category"],"summary":"Get points in this category","description":"Returns points in this category","operationId":"getCategoryPoints","parameters":[{"name":"id","in":"path","description":"category ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/PointArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/categories/{id}/tags":{"get":{"tags":["category"],"summary":"Get tags in this category","description":"Returns tags in this category","operationId":"getCategoryTags","parameters":[{"name":"id","in":"path","description":"category ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/TagArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/points":{"post":{"tags":["point"],"summary":"Create a point","operationId":"addPoint","responses":{"200":{"$ref":"#/components/responses/PointResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Point"}}},"description":"Point object that needs to be added to the category","required":true}},"put":{"tags":["point"],"summary":"Update an existing point","operationId":"updatePoint","responses":{"200":{"$ref":"#/components/responses/PointResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Point"}}},"description":"Point object that needs to be updated","required":true}},"get":{"tags":["point"],"summary":"Search points","description":"Search points by search term in query string","operationId":"findPointsByQuery","parameters":[{"name":"query","in":"query","description":"Criteria to filter by","required":false,"explode":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/PointArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/points/{id}":{"get":{"tags":["point"],"summary":"Find point by ID","description":"Returns a single point","operationId":"getPointById","parameters":[{"name":"id","in":"path","description":"ID of point to return","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/PointResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]},"patch":{"tags":["point"],"summary":"Updates a point in the system with form data","operationId":"updatePointWithForm","parameters":[{"name":"id","in":"path","description":"ID of point that needs to be updated","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/PointResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"name":{"description":"Updated name of the point","type":"string"},"status":{"description":"Updated status of the point","type":"string"}}}}}}},"delete":{"tags":["point"],"summary":"Deletes a point","operationId":"deletePoint","parameters":[{"name":"id","in":"path","description":"Point id to delete","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/PointResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/tags":{"post":{"tags":["tag"],"summary":"Create a tag","operationId":"addTag","responses":{"200":{"$ref":"#/components/responses/TagResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}},"description":"Tag object that needs to be added to the category","required":true}},"put":{"tags":["tag"],"summary":"Update an existing tag","operationId":"updateTag","responses":{"200":{"$ref":"#/components/responses/TagResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}},"description":"Tag object that needs to be updated","required":true}},"get":{"tags":["tag"],"summary":"Search tags","description":"Search bags by search term in query string","operationId":"findTagsByQuery","parameters":[{"name":"query","in":"query","description":"Criteria to filter by","required":false,"explode":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/TagArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/tags/{id}":{"get":{"tags":["tag"],"summary":"Find tag by ID","description":"Returns a single tag","operationId":"getTagById","parameters":[{"name":"id","in":"path","description":"ID of tag to return","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/TagResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]},"patch":{"tags":["tag"],"summary":"Updates a tag in the system with form data","operationId":"updateTagWithForm","parameters":[{"name":"id","in":"path","description":"ID of tag that needs to be updated","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/TagResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"name":{"description":"Updated name of the tag","type":"string"},"status":{"description":"Updated status of the tag","type":"string"}}}}}}},"delete":{"tags":["tag"],"summary":"Deletes a tag","operationId":"deleteTag","parameters":[{"name":"id","in":"path","description":"Tag id to delete","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/TagResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/teams":{"post":{"tags":["team"],"summary":"Create a team","operationId":"addTeam","responses":{"200":{"$ref":"#/components/responses/TeamResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}}},"description":"Team object that needs to be added to the category","required":true}},"put":{"tags":["team"],"summary":"Update an existing team","operationId":"updateTeam","responses":{"200":{"$ref":"#/components/responses/TeamResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}}},"description":"Team object that needs to be updated","required":true}}},"/teams/{id}":{"get":{"tags":["team"],"summary":"Find team by ID","description":"Returns a single team","operationId":"getTeamById","parameters":[{"name":"id","in":"path","description":"ID of team to return","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/TeamResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]},"patch":{"tags":["team"],"summary":"Updates a team in the system with form data","operationId":"updateTeamWithForm","parameters":[{"name":"id","in":"path","description":"ID of team that needs to be updated","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/TeamResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"name":{"description":"Updated name of the team","type":"string"},"status":{"description":"Updated status of the team","type":"string"}}}}}}},"delete":{"tags":["team"],"summary":"Deletes a team","operationId":"deleteTeam","parameters":[{"name":"id","in":"path","description":"Team id to delete","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/TeamResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/teams/{id}/boards":{"get":{"tags":["team"],"summary":"Get boards for the team","description":"Returns boards belonging to this team","operationId":"getTeamBoards","parameters":[{"name":"id","in":"path","description":"team ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/BoardArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/teams/{id}/users":{"get":{"tags":["team"],"summary":"Get users in this team","description":"Returns users belonging to this team","operationId":"getTeamUsers","parameters":[{"name":"id","in":"path","description":"team ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/UserArrayResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}},"/users":{"post":{"tags":["user"],"summary":"Create a user","operationId":"addUser","responses":{"200":{"$ref":"#/components/responses/UserResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"description":"User object that needs to be added to the category","required":true}},"put":{"tags":["user"],"summary":"Update an existing user","operationId":"updateUser","responses":{"200":{"$ref":"#/components/responses/UserResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"description":"User object that needs to be updated","required":true}}},"/users/{id}":{"get":{"tags":["user"],"summary":"Find user by ID","description":"Returns a single user","operationId":"getUserById","parameters":[{"name":"id","in":"path","description":"ID of user to return","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/UserResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]},"patch":{"tags":["user"],"summary":"Updates a user in the system with form data","operationId":"updateUserWithForm","parameters":[{"name":"id","in":"path","description":"ID of user that needs to be updated","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/UserResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"name":{"description":"Updated name of the user","type":"string"},"status":{"description":"Updated status of the user","type":"string"}}}}}}},"delete":{"tags":["user"],"summary":"Deletes a user","operationId":"deleteUser","parameters":[{"name":"id","in":"path","description":"User id to delete","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"$ref":"#/components/responses/UserResponseOK"},"400":{"$ref":"#/components/responses/BadArguments"},"404":{"$ref":"#/components/responses/NotFound"}},"security":[{"bearer_auth":[]}]}}},"externalDocs":{"description":"Authentication","url":"http://www.360five.net/apidocs/index.html"},"components":{"requestBodies":{"UserArray":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}},"description":"List of user object","required":true}},"securitySchemes":{"bearer_auth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AccessToken":{"type":"object","required":["_username","_password"],"properties":{"username":{"type":"string","example":"myusername"},"password":{"type":"string","example":"mypassword"}}},"RefreshToken":{"type":"object","required":["refresh_token"],"properties":{"refresh_token":{"type":"string","example":"refresh_token_xyz"}}},"Category":{"type":"object","required":["id","name","board"],"properties":{"id":{"type":"string","format":"uuid","example":"03f1551c01a24f64b33f9110e704d792","description":"Required when working with existing entities (ie. PUT and DELETE requests)."},"name":{"type":"string","example":"Goods","description":"Name of the category."},"description":{"type":"string","example":"What we did good.","description":"Category description."},"active":{"type":"boolean","example":true,"description":"Is board active?"},"orderPosition":{"type":"integer","example":4,"description":"Determines position of category in visual order on board."},"imageUrl":{"type":"string","example":"https://www.360five.net/image.jpg","description":"Location of the board image / icon."},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Tags in this category. Synced - take a look at sync explanation in POST /board endpoint."},"points":{"type":"array","items":{"$ref":"#/components/schemas/Point"},"description":"Points in this category. Synced - take a look at sync explanation in POST /board endpoint."}}},"CategoryWithBoard":{"type":"object","required":["id","name","board"],"properties":{"id":{"type":"string","format":"uuid","example":"03f1551c01a24f64b33f9110e704d792","description":"Required when working with existing entities (ie. PUT and DELETE requests)."},"name":{"type":"string","example":"Goods","description":"Name of the category."},"description":{"type":"string","example":"What we did good.","description":"Category description."},"active":{"type":"boolean","example":true,"description":"Is board active?"},"orderPosition":{"type":"integer","example":4,"description":"Determines position of category in visual order on board."},"imageUrl":{"type":"string","example":"https://www.360five.net/image.jpg","description":"Location of the board image / icon."},"board":{"type":"object","properties":{"id":{"type":"string","format":"uuid","example":"b555ec1c194e49939440488ea458f503"}},"description":"ID of the parent board entity."},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"},"description":"Tags in this category. Synced - take a look at sync explanation in POST /board endpoint."},"points":{"type":"array","items":{"$ref":"#/components/schemas/Point"},"description":"Points in this category. Synced - take a look at sync explanation in POST /board endpoint."}}},"User":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"email":{"type":"string","example":"user@360five.dev"},"firstName":{"type":"string","example":"Gustav"},"lastName":{"type":"string","example":"Mahler"},"phone":{"type":"string","example":"060 1234 567"},"active":{"type":"boolean","description":"User Status","example":true}}},"Team":{"type":"object","required":["name"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","example":"Backend team"},"description":{"type":"string","example":"Backend developers"},"active":{"type":"boolean","example":true}}},"UserSignUp":{"type":"object","properties":{"email":{"type":"string","example":"user@360five.dev"},"password":{"type":"string","example":"yourpassword"},"firstName":{"type":"string","example":"Gustav"},"lastName":{"type":"string","example":"Mahler"}}},"Tag":{"type":"object","required":["name"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","example":"WasExcellent"},"default":{"type":"boolean","example":true}}},"Board":{"type":"object","required":["name","team"],"properties":{"id":{"type":"string","format":"guid","description":"Required when working with existing entities.","example":"03f1551c01a24f64b33f9110e704d792"},"name":{"type":"string","example":"Retro Board","description":"Name of the board."},"description":{"type":"string","example":"Board for discussing and analysing retrosprectives."},"team":{"type":"string","format":"uuid","description":"Team entity that this board belongs to. Board will not be visible to other teams."},"public":{"type":"boolean","description":"Board visibility (public or private). Public is visible to your teams, private is visible only to you."},"active":{"type":"boolean","description":"Is board active?"},"imageUrl":{"type":"string","description":"Location of the board image / icon."},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Category"},"description":"Array of containing category objects. State in database will be synced to reflect supplied array of objects: if category object contains ID, it has to be valid category ID and corresponding category will be updated; if there is no category ID, new category will be created and attached to this board; remaining categories that are not in the supplied array and exist in database will be deleted (including corresponding tags, points and other related entities."},"points":{"type":"array","items":{"$ref":"#/components/schemas/Point"},"description":"Array of containing point objects. State in database will be synced to reflect supplied array of objects: if point object contains ID, it has to be valid point ID and corresponding point will be updated; if there is no point ID, new point will be created and attached to this board; remaining points that are not in the supplied array and exist in database will be deleted."}}},"Point":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"comment":{"type":"string","example":"I used to live in a room full of mirrors"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"userId":{"type":"string","format":"uuid"},"categoryId":{"type":"string","format":"uuid"}}}},"responses":{"AccessTokenResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":200},"data":{"type":"object","properties":{"token":{"type":"string","example":"eyJhbGciOiJSUzI1NiJ9"},"refresh_token":{"type":"string","example":"c5c97579bab8a581851c"}}}}}}}},"BoardResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"errors":{"type":"array","items":{"type":"string"}},"data":{"$ref":"#/components/schemas/Board"}}}}}},"BoardArrayResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string","example":[]}},"data":{"type":"array","items":{"$ref":"#/components/schemas/Board"}},"metadata":{"type":"object","properties":{"total":{"type":"integer","example":1240},"page":{"type":"integer","example":2}}}}}}}},"CategoryResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string"},"example":[]},"data":{"$ref":"#/components/schemas/Category"}}}}}},"CategoryArrayResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string","example":[]}},"data":{"type":"array","items":{"$ref":"#/components/schemas/Category"}},"metadata":{"type":"object","properties":{"total":{"type":"integer","example":1240},"page":{"type":"integer","example":2}}}}}}}},"PointResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string"},"example":[]},"data":{"$ref":"#/components/schemas/Point"}}}}}},"PointArrayResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string","example":[]}},"data":{"type":"array","items":{"$ref":"#/components/schemas/Point"}},"metadata":{"type":"object","properties":{"total":{"type":"integer","example":1240},"page":{"type":"integer","example":2}}}}}}}},"TagResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string"},"example":[]},"data":{"$ref":"#/components/schemas/Tag"}}}}}},"TagArrayResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":200},"errors":{"type":"array","items":{"type":"string"},"example":[]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}},"metadata":{"type":"object","properties":{"total":{"type":"integer","example":1240},"page":{"type":"integer","example":2}}}}}}}},"TeamResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string"},"example":[]},"data":{"$ref":"#/components/schemas/Team"}}}}}},"TeamArrayResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string","example":[]}},"data":{"type":"array","items":{"$ref":"#/components/schemas/Team"}},"metadata":{"type":"object","properties":{"total":{"type":"integer","example":1240},"page":{"type":"integer","example":2}}}}}}}},"UserResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string"},"example":[]},"data":{"$ref":"#/components/schemas/User"}}}}}},"UserArrayResponseOK":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":200},"errors":{"type":"array","items":{"type":"string","example":[]}},"data":{"type":"array","items":{"$ref":"#/components/schemas/User"}},"metadata":{"type":"object","properties":{"total":{"type":"integer","example":1240},"page":{"type":"integer","example":2}}}}}}}},"BadArguments":{"description":"Bad arguments","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":"error"},"errors":{"type":"array","items":{"type":"string"},"example":["Bad input error","Validation error"]},"data":{"type":"array","items":{"type":"string"},"example":[]}}}}}},"NotFound":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","example":"error"},"errors":{"type":"array","items":{"type":"string"},"example":["Resource not found"]},"data":{"type":"array","items":{"type":"string"},"example":[]}}}}}}}}}